com.avaya.ccs.api.enums

## Enum OffsiteState

- java.lang.Object
- - java.lang.Enum<OffsiteState>
  - - com.avaya.ccs.api.enums.OffsiteState

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<OffsiteState>

      public enum OffsiteState
      extends java.lang.Enum<OffsiteState>

  The `OffsiteState` enum represents the possible states of the permanent call (also known as the nailed up call) to the users offsite device when working in offsite mode.

  The purpose of the permanent call is to deliver media to the user for all calls terminating at the Contact Center user

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Connected` The permanent call is connected on the user's offsite phone.
    `Failed` The permanent call failed to be setup on the user's offsite phone.
    `Idle` The permanent call has not been initiated.
    `Inactive` The user is not in offsite mode.
    `Ringing` The permanent call is ringing on the user's offsite phone.
    `Unknown` The permanent call state is unknown.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OffsiteState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static OffsiteState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Inactive

          public static final OffsiteState Inactive

      The user is not in offsite mode.

    - #### Idle

          public static final OffsiteState Idle

      The permanent call has not been initiated.

    - #### Ringing

          public static final OffsiteState Ringing

      The permanent call is ringing on the user's offsite phone.

    - #### Connected

          public static final OffsiteState Connected

      The permanent call is connected on the user's offsite phone.

    - #### Failed

          public static final OffsiteState Failed

      The permanent call failed to be setup on the user's offsite phone.

    - #### Unknown

          public static final OffsiteState Unknown

      The permanent call state is unknown.

  - ### Method Detail

    - #### values

          public static OffsiteState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OffsiteState c : OffsiteState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OffsiteState valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null